using GrapeCity.ActiveReports;
using System.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using MVCOne.Controllers;

namespace MVCOne
{
    /// <summary>
    /// WebService2 的摘要说明
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // 若要允许使用 ASP.NET AJAX 从脚本中调用此 Web 服务，请取消注释以下行。 
    // [System.Web.Script.Services.ScriptService]
    public class WebService2 : GrapeCity.ActiveReports.Web.ReportService
    {
        SectionReport definition;
      

        [WebMethod]
        protected override object OnCreateReportHandler(string reportPath)
        {
            DataTable dt = new DataTable();
            HomeController a = new HomeController();
            definition = (SectionReport)base.OnCreateReportHandler(reportPath);
            definition.DataSource = a.returndata1();
            return definition;

        }
     
    }
}
